Ext.define('Shopware.apps.QuiversConfiguration', {
    extend: 'Enlight.app.SubApplication',
    name: 'Shopware.apps.QuiversConfiguration',

    /**
     * Enable bulk loading
     *
     * @type { Boolean }
     */
    bulkLoad: true,

    /**
     * Sets the loading path for the sub-application.
     *
     * @type { String }
     */
    loadPath: '{url action="load"}',

    /**
     * @type { Array }
     */
    controllers: [
        'Main'
    ],

    /**
     * @type { Array }
     */
    models: [
        'QuiversSetting',
        'QuiversTaxSettings',
        'StripeSettings'
    ],
    /**
     * @type { Array }
     */
    views: [
        'Window',
        'tabs.General', 
        'tabs.QuiversTax',
        'tabs.StripeConfig'
    ],

    /**
     * @returns { Shopware.apps.QuiversConfiguration.view.Window }
     */
    launch: function() {
        var me = this,
            settingsController = me.getController('Main');
            
        return settingsController.mainWindow;
    }
});
