// {block name="backend/quivers_configuration/model/quivers_tax_settings"}
Ext.define('Shopware.apps.QuiversConfiguration.model.QuiversTaxSettings', {
    
    extend: 'Shopware.data.Model',

    configure: function() {
        return {
            controller: 'QuiversTaxSettings'
        };
    },

    fields: [
        // {block name="backend/quivers_configuration/model/quivers_tax_settings/fields"}{/block}
        { name: 'id', type: 'int'},
        { name: 'USD_Marketplace', type: 'string'},      
        { name: 'EUR_Marketplace', type: 'string' },
        { name: 'AUD_Marketplace', type: 'string' },
        { name: 'JPY_Marketplace', type: 'string' },
        { name: 'GBP_Marketplace', type: 'string' },
        { name: 'CAD_Marketplace', type: 'string' },
        { name: 'USD_Claiming', type: 'array' },
        { name: 'EUR_Claiming', type: 'array' },
        { name: 'AUD_Claiming', type: 'array' },
        { name: 'JPY_Claiming', type: 'array' },
        { name: 'GBP_Claiming', type: 'array' },
        { name: 'CAD_Claiming', type: 'array' }
    ],

    proxy:{
        /**
         * Set proxy type to ajax
         * @string
         */
        type:'ajax',

        /**
         * Configure the url mapping for the different
         * store operations based on
         * @object
         */
        api: {
            create: '{url controller="QuiversTaxSettings" action="create"}',
            update: '{url controller="QuiversTaxSettings" action="update"}',
        },
    }
});
// {/block}
